CMSIS-Driver: USART Clock Polarity

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
USART Clock Polarity
USART Control Codes

Defines the clock polarity for the synchronous mode. More...

## Macros

#define | ARM_USART_CPOL0 (0UL << ARM_USART_CPOL_Pos)
| CPOL = 0 (default) More...
#define | ARM_USART_CPOL1 (1UL << ARM_USART_CPOL_Pos)
| CPOL = 1. More...

## Description

Defines the clock polarity for the synchronous mode.

## Macro Definition Documentation

#define ARM_USART_CPOL0 (0UL << ARM_USART_CPOL_Pos)

CPOL = 0 (default)

See Also
  ARM_USART_Control; ARM_USART_Receive; ARM_USART_Send; ARM_USART_Transfer

#define ARM_USART_CPOL1 (1UL << ARM_USART_CPOL_Pos)

CPOL = 1.

See Also
  ARM_USART_Control; ARM_USART_Receive; ARM_USART_Send; ARM_USART_Transfer